ウェブサイト

GET https://pushye.com/api/websites/
curl --request GET \
--url 'https://pushye.com/api/websites/' \
--header 'Authorization: Bearer {api_key}' \
パラメータ 詳細 説明
search オプション 文字列 検索文字列。
search_by オプション 文字列 検索するフィールドは何ですか。許可されている値は:name, host, path
is_enabled オプション ブール値
datetime_field オプション 文字列 許可された値: datetime, last_datetime, email_reports_last_datetime
datetime_start オプション 文字列 Filter results starting from this datetime. Y-m-d H:i:s format.
datetime_end オプション 文字列 Filter results up to this datetime. Y-m-d H:i:s format.
order_by オプション 文字列 結果をどのフィールドで並べ替えるか。許可されている値は:website_id, datetime, last_datetime, name, host, path, email_reports_last_datetime, email_reports_count, total_sent_campaigns, total_sent_push_notifications, total_displayed_push_notifications, total_clicked_push_notifications, total_closed_push_notifications, total_subscribers
order_type オプション 文字列 結果の並び順。許可されている値は、昇順のためのASCと、降順のためのDESCです。
page オプション 整数 結果を取得したいページ番号。デフォルトは1です。
results_per_page オプション 整数 1ページあたりの結果数はどのくらいにしますか。許可されている値は:10, 25, 50, 100, 250, 500, 1000。デフォルトは25です。
{
    "data": [
        {
            "id": 1,
            "user_id": 1,
            "website_id": 1,
            "domain_id": 1,
            "pixel_key": "Example",
            "name": "Example",
            "scheme": "Example",
            "host": "Example",
            "path": "Example",
            "settings": [],
            "widget": {},
            "button": {},
            "notifications": [],
            "email_reports": [],
            "email_reports_last_datetime": "2026-09-12 13:22:51",
            "email_reports_count": 1,
            "keys": [],
            "total_sent_campaigns": 1,
            "total_subscribers": 1,
            "total_sent_push_notifications": 1,
            "total_displayed_push_notifications": 1,
            "total_clicked_push_notifications": 1,
            "total_closed_push_notifications": 1,
            "is_enabled": true,
            "last_datetime": null,
            "datetime": "2026-09-12 13:22:51"
        }
    ],
    "meta": {
        "page": 1,
        "total_pages": 1,
        "results_per_page": 25,
        "total_results": 1
    },
    "links": {
        "first": "https://pushye.com/api/websites?page=1",
        "last": "https://pushye.com/api/websites?page=1",
        "next": null,
        "prev": null,
        "self": "https://pushye.com/api/websites?page=1"
    }
}
GET https://pushye.com/api/websites/{website_id}
curl --request GET \
--url 'https://pushye.com/api/websites/{website_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "user_id": 1,
        "website_id": 1,
        "domain_id": 1,
        "pixel_key": "Example",
        "name": "Example",
        "scheme": "Example",
        "host": "Example",
        "path": "Example",
        "settings": [],
        "widget": {},
        "button": {},
        "notifications": [],
        "email_reports": [],
        "email_reports_last_datetime": "2026-09-12 13:22:51",
        "email_reports_count": 1,
        "keys": [],
        "total_sent_campaigns": 1,
        "total_subscribers": 1,
        "total_sent_push_notifications": 1,
        "total_displayed_push_notifications": 1,
        "total_clicked_push_notifications": 1,
        "total_closed_push_notifications": 1,
        "is_enabled": true,
        "last_datetime": null,
        "datetime": "2026-09-12 13:22:51"
    }
}
DELETE https://pushye.com/api/websites/{website_id}
curl --request DELETE \
--url 'https://pushye.com/api/websites/{website_id}' \
--header 'Authorization: Bearer {api_key}' \